Subject: [bess] Some comments on draft-ietf-bess-l2vpn-yang-10

From: wangzitao <[email-masked]>
Date: Thu, 18 Jul 2019 09:36:39 +0000

Dear Authors,

I have reviewed this version. And I have the following comment:

# L2VPN base mode has already defined AC and PW two common attributes, redundancy-grp is introduced as combination of AC attribute and PW attribute, not sure the redundancy-grp is a common attribute for L2VPN.
I would like to argue why not define redundancy-group in the extension model or in a separate draft.

# I see pseudowires in ietf-pseudowires have already defined common attributes such as MTU, cw-negotiation and tunnel-policy, template within pseudowires reference pw-template and pw-template also defines duplicated common attribute such as MTU, cw-negotiation and tunnel-policy.
So I think template parameter and pw-template should be removed.

# Not sure group-id ,icb, generalized are common attribute for configured-pw case. Suggest to simplify configured-pw attributes and keep the minimum set of attributes common to all vendor's implementation.

# The definition of discover-type and signaling-type are very similar. What are their differences? Can we keep only one?

# vpws-constraints is an empty container, it seems just like a placeholder, suggest to delete it.

# Pbb is an ieee802.1 specific technology, suggest to remove it from base model and move it to technology specific model.

Best Regards!
-Michael